import React from "react";
import styled from "styled-components";
import ms from "pretty-ms";
import useCountdown from "../../../hooks/useCountdown";
import { saveTimerToLocalStorage } from "../../../domain/localStorageMethods";

const TimerSpan = styled.span`
  padding: 1px;
  display: inline;
`

const TimedOut = styled(TimerSpan)`
  color: red;
`

export default ({ seconds, onTimeout }) => {
  const [remaining] = useCountdown(seconds, () => onTimeout());
  
  if (remaining > 0) {
    saveTimerToLocalStorage(remaining);
    return <TimerSpan>Time: {ms(remaining * 1000)}</TimerSpan>;
  }

  return <TimedOut>Time's up!</TimedOut>;
}
